Incompatibility notice - Android P+

Discussion in 'General Discussion' started by Marc, Jul 3, 2019.

  1. Marc

    Marc Active Member

    Joined:
    Feb 3, 2015
    Messages:
    386
    Likes Received:
    72
    Hi @appyet! Yesterday I did a test in the Test Lab of Firebase, to see if everything was compatible with the latest versions of Android, and I got this notice, to see if it can be fixed. Thank you.

    Use of non-SDK interfaces
    Your application uses 15 non-SDK interfaces that are incompatible with Android P +. Check the records to see the detailed stack traces. Examples of detected interfaces that are not SDK:

    Code:
    Landroid/view/View;->computeFitSystemWindows(Landroid/graphics/Rect;Landroid/graphics/Rect;)Z
    Landroid/view/ViewGroup;->makeOptionalFitsSystemWindows()V
    Landroid/view/animation/Animation;->mListener:Landroid/view/animation/Animation$AnimationListener;
    Landroid/widget/AbsListView;->mIsChildViewEnabled:Z
    Landroid/widget/AutoCompleteTextView;->doAfterTextChanged()V
    Landroid/widget/AutoCompleteTextView;->doBeforeTextChanged()V
    Landroid/widget/AutoCompleteTextView;->ensureImeVisible(Z)V
    Landroid/widget/PopupWindow;->setClipToScreenEnabled(Z)V
    Landroid/widget/PopupWindow;->setEpicenterBounds(Landroid/graphics/Rect;)V
    Landroid/widget/PopupWindow;->setTouchModal(Z)V
    Lcom/android/org/conscrypt/OpenSSLSocketImpl;->getAlpnSelectedProtocol()[B
    Lcom/android/org/conscrypt/OpenSSLSocketImpl;->setAlpnProtocols([B)V
    Ldalvik/system/BaseDexClassLoader;->getLdLibraryPath()Ljava/lang/String;
    Ljava/lang/Runtime;->nativeLoad(Ljava/lang/String;Ljava/lang/ClassLoader;)Ljava/lang/String;
    Ljava/nio/Buffer;->address:J
     
    #1

Share This Page